当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]弱弱地问下,ubuntu能不能用rpm包?
帖子发表于 : 2008-02-29 15:35 
头像

注册: 2007-08-30 5:39
帖子: 1670
送出感谢: 0 次
接收感谢: 0 次
ubuntu能不能用rpm包?


_________________
深度,值得深入!
http://bbs.deepin.org/?u=348684

最新的综艺魔法相册
http://www.77studio.net/?fromuid=344


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-02-29 15:37 
头像

注册: 2008-02-02 20:09
帖子: 940
送出感谢: 0 次
接收感谢: 0 次
好像不能。 用deb不错啊


_________________
http://www.emioo.net
http://www.emioo.com/ ubuntu Q群19601547


页首
 用户资料  
 
3 楼 
 文章标题 : Re: [问题]弱弱地问下,ubuntu能不能用rpm包?
帖子发表于 : 2008-02-29 15:47 
头像

注册: 2008-02-25 14:30
帖子: 39
送出感谢: 0 次
接收感谢: 0 次
SecretZero 写道:
ubuntu能不能用rpm包?

引用:
方法一:
1. 先安装 alien 和 fakeroot 这两个工具,其中前者可以将 rpm 包转换为 deb 包。安装命令为:
sudo apt-get install alien fakeroot
2. 将需要安装的 rpm 包下载备用,假设为 package.rpm。
3. 使用 alien 将 rpm 包转换为 deb 包:
fakeroot alien package.rpm
4. 一旦转换成功,我们可以即刻使用以下指令来安装:
sudo dpkg -i package.deb

方法二:
1) 装个将rpm包转换为deb包的小工具alien

* apt-get install alien

2) 进入rpm所在的目录,输入命令(转换为deb包的rpm文件)

* alien xxx.rpm

方法三:
sudo apt-get install rpm alien

2.
CODE:
alien -d package.rpm

3.
CODE:
sudo dpkg -i package.rpm


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-02-29 15:57 
头像

注册: 2008-02-02 20:09
帖子: 940
送出感谢: 0 次
接收感谢: 0 次
麻烦啊。什么时候ubuntu支持rpm安装。而不用转成deb


_________________
http://www.emioo.net
http://www.emioo.com/ ubuntu Q群19601547


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-02-29 16:02 
头像

注册: 2006-10-25 18:10
帖子: 2677
地址: 长沙
送出感谢: 0 次
接收感谢: 0 次
Ubuntu 基于 deb,不会打算支持 rpm 的。deb 对于 rpm 有先天优势,rpm 不适合初级用户。楼主可以搜索 ubuntu rpm


_________________
你是自由的。别人也是。


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-02-29 16:17 
头像

注册: 2007-11-22 10:20
帖子: 3406
地址: 北京
送出感谢: 0 次
接收感谢: 1
alien──也不是100%能够装上的。


_________________
lenovo Thinkpad R60i 0657 LHC
windowsXP……准备换回ubuntu了。

Twitter: @carbont


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-02-29 16:46 
头像

注册: 2007-11-19 21:51
帖子: 6956
地址: 成都
送出感谢: 0 次
接收感谢: 4
听说rh准备支持deb了呢


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-02-29 17:20 
头像

注册: 2007-08-30 5:39
帖子: 1670
送出感谢: 0 次
接收感谢: 0 次
原来是这样。。。谢谢。。

redhat好像说下个版本支持bed包了。


_________________
深度,值得深入!
http://bbs.deepin.org/?u=348684

最新的综艺魔法相册
http://www.77studio.net/?fromuid=344


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译